Subject: Comments on draft-ietf-ccamp-gmpls-ted-mib-03.txt

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 20 Mar 2008 14:05:39 -0000

Hi,
In Philadelphia we discussed the next steps for this document and agreed 
that it is probably ready for a MIB Doctor review. I thought that I should 
have another look at it before we send it off.

Major issues
1. Need to pick up boilerpate sections as per RFC 4181
   In particular, the security sections are needed.
2. I *think* that index values should be "not-accessible"
   rather than "read-only".
3. Need to check the MIB with smilint using
   smilint -m -s -l 6 -i namelength-32
   See http://www.ibr.cs.tu-bs.de/projects/libsmi/tools/
   I get the following errors:
mibs/ted.my:43: [3] {revision-missing} revision for last update is missing
mibs/ted.my:43: [2] {object-identifier-not-prefix} Object identifier element 
`xxx' name only allowed as first element
mibs/ted.my:101: [5] {index-element-accessible} warning: index element 
`teAreaId' of row `tedEntry' should be not-accessible in SMIv2 MIB
mibs/ted.my:101: [5] {index-element-accessible} warning: index element 
`teRouterId' of row `tedEntry' should be not-accessible in SMIv2 MIB
mibs/ted.my:101: [5] {index-element-accessible} warning: index element 
`teLinkStateId' of row `tedEntry' should be not-accessible in SMIv2 MIB
mibs/ted.my:851: [5] {group-unref} warning: current group 
`tedNotificationGroup' is not referenced in this module
4. Should we have two conformance statements? One for
   MPLS-TE and one for GMPLS?
5. I believe you should use InetAddress and InetAddressType
    from RFC 4001 instead of IpAddress. We need to support
    IPv6
6. Looks like the whole MIB module is read-only. Does that
   mean that "manually configured" table entries cannot be
   configured through the MIB? If that is your intention (i.e.
   that configuration is made only through other mechanisms)
   I think you should discuss this in the text.
7. I think that teSwitchingType and teEncoding need to be
   extensible. And it would be useful to be consistent
   between routing and signaling. Please consider using
   IANAGmplsSwitchingTypeTC and
   IANAGmplsLSPEncodingTypeTC from
   IANA-GMPLS-TC-MIB. See
   http://www.iana.org/assignments/ianagmplstc-mib

Less major points
- Title needs to be updated to include MPLS-TE
- I wonder if it is worth also including the IGP metric
   in this table. I know it is a duplication of information,
   but it is useful for TE processing
- It would be nice to include a simple example
- teIndication could use a reference to help people
   understand the usage.
   Actually, it wouldn't hurt to include more references
   for all objects.
- You should also reference and think about OSPFv3
   http://www.ietf.org/internet-drafts/draft-ietf-ospf-ospfv3-mib-12.txt

There are some nits...
- Tom is now with BT
- In teLinkStateId s/jndicates/indicates/
- [RFC2119] only needs to appear in section 9 once
- You shouldn't list RFC1850. It is obsolete.

You should also clean up the nits shown by idnits 
(http://tools.ietf.org/tools/idnits/)
I see the following errors:
  Checking boilerplate required by RFC 3978 and 3979, updated by RFC 4748:
  ----------------------------------------------------------------------------

  ** Found boilerplate matching RFC 3978 Section 5.4 paragraph 1 updated by
     RFC 4748 (on line 1204), which is fine, but *also* found old RFC 3978
     Section 5.4 paragraph 1 text on line 231.

  Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
  ----------------------------------------------------------------------------

  ** There is 1 instance of lines with non-ascii characters in the document.

  Checking nits according to http://www.ietf.org/ID-Checklist.html:
  ----------------------------------------------------------------------------

  ** There are 2 instances of too long lines in the document, the longest 
one
     being 1 character in excess of 72.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

     No issues found here.

  Checking references for intended status:
  ----------------------------------------------------------------------------

  == Missing Reference: 'RFC3410' is mentioned on line 75, but not defined

  == Missing Reference: 'OSPF-MIB' is mentioned on line 389, but not defined

  == Missing Reference: 'ISIS-MIB' is mentioned on line 393, but not defined

  == Unused Reference: 'MPLS OAM' is defined on line 1130, but no explicit
     reference was found in the text

  == Unused Reference: 'RFC3945' is defined on line 1134, but no explicit
     reference was found in the text

  -- Obsolete informational reference (is this intentional?): RFC 1850
     (Obsoleted by RFC 4750)

  == Outdated reference: draft-ietf-mpls-oam-requirements has been published
     as RFC 4377

If you can work on these issues, we'll take the I-D to the MIB Doctor.

Thanks,
Adrian

---

From: Tomohiro Otani <[email-masked]>
Date: Thu, 27 Mar 2008 09:42:52 +0900

Hi Adrian,

Thank you for your comments. We will work for it and update the draft 
shortly.

Regards,

tomo

Adrian Farrel さんは書きました:
> Hi,
> In Philadelphia we discussed the next steps for this document and 
> agreed that it is probably ready for a MIB Doctor review. I thought 
> that I should have another look at it before we send it off.
>
> Major issues
> mibs/ted.my:43: [2] {object-identifier-not-prefix} Object identifier 
> element `xxx' name only allowed as first element
> ** There are 2 instances of too long lines in the document, the 
> longest one